<?php
include_once $_SERVER['DOCUMENT_ROOT'] . '/include/shared-manual.inc';
$TOC = array();
$TOC_DEPRECATED = array();
$PARENTS = array();
include_once dirname(__FILE__) ."/toc/class.ds-sequence.inc";
$setup = array (
  'home' => 
  array (
    0 => 'index.php',
    1 => 'PHP Manual',
  ),
  'head' => 
  array (
    0 => 'UTF-8',
    1 => 'fr',
  ),
  'this' => 
  array (
    0 => 'ds-sequence.sorted.php',
    1 => 'Ds\\Sequence::sorted',
  ),
  'up' => 
  array (
    0 => 'class.ds-sequence.php',
    1 => 'Ds\\Sequence',
  ),
  'prev' => 
  array (
    0 => 'ds-sequence.sort.php',
    1 => 'Ds\\Sequence::sort',
  ),
  'next' => 
  array (
    0 => 'ds-sequence.sum.php',
    1 => 'Ds\\Sequence::sum',
  ),
  'alternatives' => 
  array (
  ),
  'source' => 
  array (
    'lang' => 'fr',
    'path' => 'reference/ds/ds/sequence/sorted.xml',
  ),
  'history' => 
  array (
  ),
);
$setup["toc"] = $TOC;
$setup["toc_deprecated"] = $TOC_DEPRECATED;
$setup["parents"] = $PARENTS;
manual_setup($setup);

contributors($setup);

?>
<div id="ds-sequence.sorted" class="refentry">
 <div class="refnamediv">
  <h1 class="refname">Ds\Sequence::sorted</h1>
  <p class="verinfo">(PECL ds &gt;= 1.0.0)</p><p class="refpurpose"><span class="refname">Ds\Sequence::sorted</span> &mdash; <span class="dc-title">Renvoie une copie triée</span></p>

 </div>

 <div class="refsect1 description" id="refsect1-ds-sequence.sorted-description">
  <h3 class="title">Description</h3>
  <div class="methodsynopsis dc-description">
   <span class="modifier">abstract</span> <span class="modifier">public</span> <span class="methodname"><strong>Ds\Sequence::sorted</strong></span>(<span class="methodparam"><span class="type"><a href="language.types.callable.php" class="type callable">callable</a></span> <code class="parameter">$comparator</code><span class="initializer"> = ?</span></span>): <span class="type"><a href="class.ds-sequence.php" class="type Ds\Sequence">Ds\Sequence</a></span></div>

  <p class="para rdfs-comment">
    Renvoie une copie triée de la séquence, en utilisant une fonction de comparaison optionnelle <code class="parameter">comparator</code>.
  </p>

 </div>


 <div class="refsect1 parameters" id="refsect1-ds-sequence.sorted-parameters">
  <h3 class="title">Liste de paramètres</h3>
  <dl>
   
     <dt><code class="parameter">comparator</code></dt>
     <dd>
      <p class="para">
La fonction de comparaison doit retourner un entier inférieur à, égal à, ou supérieur
à 0 si le premier argument est considéré comme, respectivement, inférieur à, égal à, ou supérieur au second.
</p>
<div class="methodsynopsis dc-description"><span class="methodname"><span class="replaceable">callback</span></span>(<span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$a</code></span>, <span class="methodparam"><span class="type"><a href="language.types.mixed.php" class="type mixed">mixed</a></span> <code class="parameter">$b</code></span>): <span class="type"><a href="language.types.integer.php" class="type int">int</a></span></div>

<div class="caution"><strong class="caution">Attention</strong>
<p class="para">
Retourner des valeurs <em>non-entières</em> à partir de la fonction
de comparaison, telles que <span class="type"><a href="language.types.float.php" class="type float">float</a></span>, entraînera une conversion interne
de la valeur de retour du rappel en <span class="type"><a href="language.types.integer.php" class="type int">int</a></span>. Ainsi, des valeurs telles que
<code class="literal">0.99</code> et <code class="literal">0.1</code> seront toutes deux converties en une
valeur entière de <code class="literal">0</code>, ce qui comparera de telles valeurs comme égales.
</p>
</div>
     </dd>
    
  </dl>
 </div>


 <div class="refsect1 returnvalues" id="refsect1-ds-sequence.sorted-returnvalues">
  <h3 class="title">Valeurs de retour</h3>
  <p class="para">
    Renvoie une copie triée de la séquence.
  </p>
 </div>


 <div class="refsect1 examples" id="refsect1-ds-sequence.sorted-examples">
  <h3 class="title">Exemples</h3>
  <div class="example" id="example-4209">
   <p><strong>Exemple #1 Exemple de <span class="function"><strong>Ds\Sequence::sorted()</strong></span></strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$sequence </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sequence</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sorted</span><span style="color: #007700">());<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>Résultat de l&#039;exemple ci-dessus est similaire à :</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 1
    [1] =&gt; 2
    [2] =&gt; 3
    [3] =&gt; 4
    [4] =&gt; 5
)</pre>
</div>
   </div>
  </div>
  <div class="example" id="example-4210">
   <p><strong>Exemple #2 Exemple de <span class="function"><strong>Ds\Sequence::sorted()</strong></span> utilisant un comparateur</strong></p>
   <div class="example-contents">
<div class="phpcode"><code><span style="color: #000000"><span style="color: #0000BB">&lt;?php<br />$sequence </span><span style="color: #007700">= new </span><span style="color: #0000BB">\Ds\Vector</span><span style="color: #007700">([</span><span style="color: #0000BB">4</span><span style="color: #007700">, </span><span style="color: #0000BB">5</span><span style="color: #007700">, </span><span style="color: #0000BB">1</span><span style="color: #007700">, </span><span style="color: #0000BB">3</span><span style="color: #007700">, </span><span style="color: #0000BB">2</span><span style="color: #007700">]);<br /><br /></span><span style="color: #0000BB">$sorted </span><span style="color: #007700">= </span><span style="color: #0000BB">$sequence</span><span style="color: #007700">-&gt;</span><span style="color: #0000BB">sorted</span><span style="color: #007700">(function(</span><span style="color: #0000BB">$a</span><span style="color: #007700">, </span><span style="color: #0000BB">$b</span><span style="color: #007700">) {<br />    return </span><span style="color: #0000BB">$b </span><span style="color: #007700">&lt;=&gt; </span><span style="color: #0000BB">$a</span><span style="color: #007700">;<br />});<br /><br /></span><span style="color: #0000BB">print_r</span><span style="color: #007700">(</span><span style="color: #0000BB">$sorted</span><span style="color: #007700">);<br /></span><span style="color: #0000BB">?&gt;</span></span></code></div>
   </div>

   <div class="example-contents"><p>Résultat de l&#039;exemple ci-dessus est similaire à :</p></div>
   <div class="example-contents screen">
<div class="examplescode"><pre class="examplescode">Ds\Vector Object
(
    [0] =&gt; 5
    [1] =&gt; 4
    [2] =&gt; 3
    [3] =&gt; 2
    [4] =&gt; 1
)</pre>
</div>
   </div>
  </div>

 </div>



</div><?php manual_footer($setup); ?>